entnext not finding seqend

Discussion in 'AutoCAD' started by Cliff Davis, Jan 27, 2004.

  1. Cliff Davis

    Cliff Davis Guest

    I thought that subsequent entnext's after a block should at least return a "SEQEND" before becoming nil but as the following screen
    clip shows, that is not working.
    Could someone tell me what I'm doing wrong or what the rule here is.


    Command: (entget (setq temp (car (entsel))))

    Select object: ((-1 . <Entity name: 4060e6f8>) (0 . "INSERT") (330 . <Entity
    name: 40611cf8>) (5 . "51F") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 .
    "P-SAN-PIPE-N") (100 . "AcDbBlockReference") (2 . "PipeDownMedium") (10 85.3438
    185.219 0.0) (41 . 1.0) (42 . 1.0) (43 . 1.0) (50 . 0.0) (70 . 0) (71 . 0) (44
    .. 0.0) (45 . 0.0) (210 0.0 0.0 1.0))

    Command: (entnext temp)
    nil


    Thanks
    Cliff Davis, MCSA
     
    Cliff Davis, Jan 27, 2004
    #1
  2. Cliff Davis

    Paul Turvill Guest

    That's because you're dealing with an INSERTion of the block, not the block
    definition.

    To get the block definition, you need to use
    (setq temp (entget (tblobjname "block" "PipeDownMedium")))
    ....then (entnext temp) will get the next element.
    ___
     
    Paul Turvill, Jan 29, 2004
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.